<template>

<Box v-bind:title="$t('file')" v-bind:startsOpen="startsOpen" v-on:toggle="$emit('toggle', $event)">
    <div class="
        flex
        justify-around
        bg-gray-200
        dark:bg-cgray-800
        rounded-lg
    ">
        <ButtonOpen />
        <ButtonCapture />
        <ButtonSave />
        <ButtonExport />
    </div>
    <div class="
        flex
        items-center
        py-2
    ">
        <p class="flex-grow">
            <b>{{ $t('project') }}{{ this.$t('colon') }}</b> {{ project.information.Nom.value }}
        </p>

        <ButtonInformation class="
            w-5/12
            lg:w-1/3
        " />
    </div>

    <div class="
        flex
        items-center
    ">
        <p class="flex-grow">
            <b>{{ $t('report') }}{{ this.$t('colon') }}</b>
            {{ project.reports.current.information.Nom.value }}
        </p>

        <ButtonAlbum class="
            w-5/12
            lg:w-1/3
        " />
    </div>
</Box>

</template>

<script lang="ts">

import { Component, Prop, Vue } from 'vue-property-decorator';
import { State } from 'vuex-class';

import { Project } from '@/ts/project';

import Box from '@/components/Box.vue';

import ButtonAlbum from './components/ButtonAlbum.vue';
import ButtonInformation from './components/ButtonInformation/index.vue';
import ButtonCapture from './components/ButtonCapture.vue';
import ButtonExport from './components/ButtonExport/index.vue';
import ButtonOpen from './components/ButtonOpen.vue';
import ButtonSave from './components/ButtonSave.vue';

@Component({
    components: {
        ButtonCapture,
        ButtonExport,
        ButtonOpen,
        ButtonSave,
        Box,
        ButtonAlbum,
        ButtonInformation,
    },
})
export default class C extends Vue {
    @State('project')
    private project!: Project;

    @Prop({ default: false })
    private startsOpen!: boolean;
}

</script>
